## Traditional 'mysqldump' backupset
## With some extra magic thrown in

[holland:backup]
plugin = mysqldump

[mysqldump]
## Override the path where we can find mysql command line utilities
#mysql-binpath       = /usr/bin/mysqldump
## One of: flush-lock, lock-tables, single-transaction, auto-detect, none
## Auto-detect will choose single-transaction unless 
lock-method         = auto-detect

## comma-delimited glob patterns for matching databases
## only databases matching these patterns will be backed up
## default: include everything
databases           = *
## comma-delimited glob patterns to exclude particular 
## databases
#exclude-databases   = 

## only include the specified tables
tables              = "*"
## exclude specific tables
#exclude-tables      = ""

## Whether to dump routines explicitly
## (routines are implicitly included in the mysql database)
dump-routines       = no

## Whether to stop the slave before dumping
stop-slave          = no

## Whether to record the binary log positions when dumping
bin-log-position    = no

## Whether to run a separate mysqldump for each database
file-per-database   = yes

## any additional options to mysqldump 
## these should show up exactly as they are on the command line
## e.g.: --flush-privileges --reset-master
additional-options  = ""

## Adjust the backup space estimate by the following factor
backup-size-factor   = 1.0

## Compression settings
[compression]
## compress method: gzip, bzip2, pbzip2, or lzop
method              = gzip
## where to compress data as it's output
## or compress a file at the end
inline              = yes
## compression level (0-9); 0 means uncompressed
level               = 1 # --fast
## specify the actual path to the compression command
#bin-path           = /usr/bin/gzip

[mysql:client]
#user                = hollandbackup
#password            = hollandpw
#socket              = string
#host                = string
#port                = integer
